summaryrefslogtreecommitdiffstats
path: root/tests/ts/findmnt
diff options
context:
space:
mode:
authorKarel Zak2016-12-22 11:52:22 +0100
committerKarel Zak2016-12-22 11:52:22 +0100
commiteac414038e03971141971e8dfa43471a92ca6d96 (patch)
tree67b812f23033ecc2e1ab8a0ad9bf3985141881f8 /tests/ts/findmnt
parenttests: add new findmnt --options tests (diff)
downloadkernel-qcow2-util-linux-eac414038e03971141971e8dfa43471a92ca6d96.tar.gz
kernel-qcow2-util-linux-eac414038e03971141971e8dfa43471a92ca6d96.tar.xz
kernel-qcow2-util-linux-eac414038e03971141971e8dfa43471a92ca6d96.zip
tests: add findmnt output tests
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/ts/findmnt')
-rwxr-xr-xtests/ts/findmnt/outputs44
1 files changed, 44 insertions, 0 deletions
diff --git a/tests/ts/findmnt/outputs b/tests/ts/findmnt/outputs
new file mode 100755
index 000000000..818d7194a
--- /dev/null
+++ b/tests/ts/findmnt/outputs
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+TS_TOPDIR="${0%/*}/../.."
+TS_DESC="outputs"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+ts_check_test_command "$TS_CMD_FINDMNT"
+
+
+ts_init_subtest "default"
+$TS_CMD_FINDMNT --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
+echo rc=$? >> $TS_OUTPUT
+ts_finalize_subtest
+
+ts_init_subtest "kernel"
+$TS_CMD_FINDMNT --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
+echo rc=$? >> $TS_OUTPUT
+ts_finalize_subtest
+
+ts_init_subtest "force-tree"
+$TS_CMD_FINDMNT --tree --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
+echo rc=$? >> $TS_OUTPUT
+ts_finalize_subtest
+
+ts_init_subtest "submounts"
+$TS_CMD_FINDMNT /sys --submounts --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
+echo rc=$? >> $TS_OUTPUT
+ts_finalize_subtest
+
+ts_finalize